Bug 1915793 - quick starts panel syncs incorrectly across browser windows
Summary: quick starts panel syncs incorrectly across browser windows
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Rohit Rai
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 12:53 UTC by Rohit Rai
Modified: 2021-02-24 15:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:52:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7825 0 None closed Bug 1915793: Disable syncing of quick start all states 2021-02-08 10:28:21 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:53:00 UTC

Description Rohit Rai 2021-01-13 12:53:15 UTC
h3. Description of problem:

When running 2 different quick starts on separate browser windows, the 2 windows become out of sync and sometimes show a blank quick start panel content.
h3. Prerequisites (if any, like setup, operators/versions):
h3. Steps to Reproduce
 # login with the same user on two different browser windows
 # on browser window 1 start quick start A
 # on browser window 2 start quick start B
 # on browser window 1 navigate the pages of quick start A

h3. Actual results:

Browser window 2 updates when navigating quick start A however as window 2 updates, it is doing so on quick start B. Therefore it's incorrectly going through a different quick start and also resulting in sometimes blank quick start pages.
h3. Expected results:

A call needs to be made first on whether the two browser windows should allow 2 different quick starts from being run at the same time. 

IMO it makes sense to not sync the two windows. A user should be able to run different quick starts at the same time on different windows.

This however may be a UX call (cc [~bmorley]).
h3. Reproducibility (Always/Intermittent/Only Once):

always
h3. Build Details:

4.7.0-0.nightly-2021-01-10-070949
h3. Additional info:

Comment 4 errata-xmlrpc 2021-02-24 15:52:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.